apiVersion: v1
kind: Service
metadata:
  name: {{ include "name" . }}
  namespace: {{ .Release.Namespace }}
{{-  if .Values.ignoreResources }}
  annotations:
    resources.gardener.cloud/ignore: "true"
{{- end }}
  labels:
{{ include "labels" . | indent 4 }}
  annotations:
    networking.resources.gardener.cloud/from-world-to-ports: '[{"protocol":"TCP","port":{{ .Values.webhookConfig.serverPort }}}]'
    networking.resources.gardener.cloud/from-policy-pod-label-selector: all-seed-scrape-targets
    networking.resources.gardener.cloud/from-policy-allowed-ports: '[{"port":{{ .Values.metricsPort }},"protocol":"TCP"}]'
    networking.resources.gardener.cloud/namespace-selectors: '[{"matchLabels":{"kubernetes.io/metadata.name":"garden"}}]'
    networking.resources.gardener.cloud/pod-label-selector-namespace-alias: extensions
spec:
  type: ClusterIP
  selector:
{{ include "labels" . | indent 6 }}
  ports:
  - port: {{ .Values.webhookConfig.servicePort }}
    protocol: TCP
    targetPort: {{ .Values.webhookConfig.serverPort }}
